Description

Windows 7, x64 - QGIS weekly - a13cdf8

If I pin QGIS to my taskbar, I can't actually run it from there. Whenever I try to I get:

qgis-dev-bin.exe

"The program can't start because qgis_code.dll is missing from your computer. Try reinstalling the program to fix this problem."

The desktop shortcut works fine. I assume this is a result of the way QGIS starts - the desktop shortcut is to a batch fine. When pinning,

Windows automatically allocates the .exe file itself.

Associated revisions

Revision 801184a8 - 2017-02-19 01:47 PM - Jürgen Fischer

osgeo4w: add a minimal exe wrapper to initialize the enviroment and load

qgis_app.dll (inspired by Nathan's PR #4156)

On install each shortcut/configuration gets a own copy of the (small)

exe.  That exe is started through the batch file that originally was

used to start the app at runtime. Argument --exit will cause the wrapper

to just dump the environment to an .env file next to the copy of the

.exe.  The created shortcuts now point at those .exes instead of the

batch files.

At runtime the .exes source their .env file to get a working environment

to run QGIS (ie. qgis_app.dll).  This for example allows the application

to be pinned to the taskbar and avoids the of necessity of batch files

at runtime to start the app.

History

#1 - 2013-08-08 04:14 AM - Nathan Woodrow

When you pin QGIS Windows is pinning the running exe not the batch file that was used to start it. I don't know if there is a way around this from our point

of view because Windows is doing the pinning.

What you can do is right click on the pined exe and change the properties for the pinned exe.

http://i.imgur.com/rabPySw.png

Update to the bat file
http://i.imgur.com/nOqS4mw.png

#2 - 2013-08-08 04:25 AM - Jonathan Moules

Thanks Nathan, this does resolve it (I didn't know you could edit pinned properties until now), but it is a workaround. In the longer term it might be an idea

to change how QGIS is started so that it works out the box.

Unless that already happens with the end-user builds, in which case ignore me. :-)

#3 - 2013-08-08 04:27 AM - Nathan Woodrow

It might not be a issue for a release build because we start them differently.

#4 - 2013-08-08 04:35 AM - Matthias Kuhn

For reference:

http://msdn.microsoft.com/en-us/library/windows/desktop/dd391569(v=vs.85).aspx

especially:

http://msdn.microsoft.com/en-us/library/windows/desktop/dd391571(v=vs.85).aspx

#5 - 2014-06-23 07:02 AM - Jürgen Fischer

- Subject changed from Pinned QGIS doesn't start to QGIS should be pinnable

- Tracker changed from Bug report to Feature request

#6 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No

#7 - 2017-09-22 10:06 AM - Jürgen Fischer

- Category set to Unknown

#8 - 2018-11-11 01:38 PM - Jürgen Fischer

- Status changed from Open to Closed

- Description updated

- Resolution set to fixed/implemented

implemented in commit:801184a8a14
